umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
UMLForeignKeyConstraintDialog::GeneralWidgets Struct Reference

## Public Attributes
QGroupBox * | generalGB
QGroupBox * | actionGB
QLabel * | referencedEntityL
QLabel * | nameL
QLineEdit * | nameT
KComboBox * | referencedEntityCB
QLabel * | onUpdateL
QLabel * | onDeleteL
KComboBox * | updateActionCB
KComboBox * | deleteActionCB

## Member Data Documentation

## ◆ actionGB

QGroupBox* UMLForeignKeyConstraintDialog::GeneralWidgets::actionGB

## ◆ deleteActionCB

KComboBox* UMLForeignKeyConstraintDialog::GeneralWidgets::deleteActionCB

## ◆ generalGB

QGroupBox* UMLForeignKeyConstraintDialog::GeneralWidgets::generalGB

## ◆ nameL

QLabel* UMLForeignKeyConstraintDialog::GeneralWidgets::nameL

## ◆ nameT

QLineEdit* UMLForeignKeyConstraintDialog::GeneralWidgets::nameT

## ◆ onDeleteL

QLabel* UMLForeignKeyConstraintDialog::GeneralWidgets::onDeleteL

## ◆ onUpdateL

QLabel* UMLForeignKeyConstraintDialog::GeneralWidgets::onUpdateL

## ◆ referencedEntityCB

KComboBox* UMLForeignKeyConstraintDialog::GeneralWidgets::referencedEntityCB

## ◆ referencedEntityL

QLabel* UMLForeignKeyConstraintDialog::GeneralWidgets::referencedEntityL

## ◆ updateActionCB

KComboBox* UMLForeignKeyConstraintDialog::GeneralWidgets::updateActionCB

The documentation for this struct was generated from the following file:

- umbrello/dialogs/umlforeignkeyconstraintdialog.h